Subtask function doesn't work

2016-07-07 15:45 - Felix Muster

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.1

Description

Hello,

I am not able to create a subtask.

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.1.7-p400 (2015-08-18) [i386-mingw32]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.5

  Git                            1.8.1

  Filesystem                     

Redmine plugins:

  clipboard_image_paste          1.10

  redmine_issue_reminder         1.0.0

  sb1.png Creating an issue (parent issue)

and Creating a subtask via the add subtask link.

 sb2.png the "subtask"

URL seems to be correct:

http://redmine.domain.com/projects/test/issues/new?issue[parent_issue_id]=1709&issue[tracker_id]=3

--> [parent_issue_id]=1709

But the sub task issue entry in the database has no parent_id:

INSERT INTO `issues` (`id`, `tracker_id`, `project_id`, `subject`, `description`, `due_date`, `cat

egory_id`, `status_id`, `assigned_to_id`, `priority_id`, `fixed_version_id`, `author_id`, `lock_ve

rsion`, `created_on`, `updated_on`, `start_date`, `done_ratio`, `estimated_hours`, `parent_id`, `r

oot_id`, `lft`, `rgt`, `is_private`, `closed_on`) VALUES

(1709, 3, 22, 'Parent Task', 'Sub Task Test', NULL, NULL, 1, NULL, 2, NULL, 1, 0, '2016-07-07 15:2

0:07', '2016-07-07 15:20:07', NULL, 0, NULL, NULL, 1709, 1, 2, 0, NULL),

(1710, 3, 22, 'Sub Task', 'Sub Task Test', NULL, NULL, 1, NULL, 2, NULL, 1, 0, '2016-07-07 15:22:2

8', '2016-07-07 15:22:28', NULL, 0, NULL, NULL, 1710, 1, 2, 0, NULL);

 Finally there are no subtasks in the given project:
http://redmine.domain.com/projects/test/issues/new?issue%5Bparent_issue_id%5D=1709&issue%5Btracker_id%5D=3


History

#1 - 2016-07-07 16:42 - Toshi MARUYAMA

- File parent-issue.png added

- Status changed from New to Needs feedback

I cannot reproduce.

Make sure there is parent issue field.

 

#2 - 2016-07-08 14:06 - Felix Muster

I didn't know.

Alright, thank you.

Solved.

Can get closed.

#3 - 2016-07-08 14:11 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
sb2.png 24 KB 2016-07-07 Felix Muster
